//*****************************************
// AVR ATtiny85 Dekatron(A-102) Spinner Program
// CPU Clock:8MHz
//   iq[Yf[^@UWlgɂj
//
// File Name:port_bit.h
//  wb_[t@C
//
//  2016/08/30 New(TAB4)  Taishi
//  2021/02/24 Modify     Taishi Z562S@Ήi_upX fJgj
//  2021/02/25 Modify     Taishi UqɕύX
//  2021/03/24 Modify     Taishi A-102 Ή
//*****************************************

#define			SW_RIGHT	(1 << PINB1)		// EXCb`i㑤j

// EXCb`̑ԁiSrbgj
#define			SWR_ON_NOW			0x01		// EXCb`ꂽB
#define			SWR_OFF_SHORT		0x02		// EXCb`ꂽBĂԂ͒Z
#define			SWR_OFF_LONG		0x04		// EXCb`ꂽBĂԂ͒
#define			SWR_ON_CONTINUE		0x08		// EXCb`ꑱĂBi莞ԊԊuł̒lxoj
#define			SWR_ON				0x10		// EXCb`ꑱĂBiĂ鎞͂̒loj
#define			SWR_MASK			0x1f		// EXCb`̐M𒊏o

extern	unsigned char	sw[4];					// SW[1] Ɍ݂̏ԁAĂ镨'1'̏ԁA SW[2] ɉꂽuԂ'1'̏ԁA SW[3] ɗꂽuԂ'1'̏

extern	void			sw_init(void);
extern	void			get_sw(void);
extern	unsigned char	get_action_sw(void);
extern	void			wait_key_off(void);
extern	void			wait_sw_off(void);

extern	void			led_init(void);
extern	void			led_on_off(unsigned char on);
